<?php
require 'util/database.php';

$db = new Database();

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    if (isset($_POST['delete'])) {
        // Handle delete request
        $id = $_POST['id'];
        $db->executeQuery("DELETE FROM photo_items WHERE id = ?", [$id]);
    } else {
        // Handle add photo item request
        $year = $_POST['year'];
        $category = "People";
        $imagePath = '';

        // Debugging output
      

        // Handle file upload
        if (isset($_FILES['image'])) {
            if ($_FILES['image']['error'] == 0) {
                $targetDir = "uploads/";
                $targetFile = $targetDir . basename($_FILES["image"]["name"]);
                
                // Check if uploads directory exists, if not create it
               /* if (!file_exists($targetDir)) {
                    mkdir($targetDir, 0777, true);
                }
                
                if (!file_exists($targetDir)) {
                    mkdir($targetDir, 0777, true);
                }
                
                chmod($targetDir, 0777);*/

                if (move_uploaded_file($_FILES["image"]["tmp_name"], $targetFile)) {
                    $imagePath = $targetFile;
                } else {
                   
                    echo "Error: There was an error uploading the file.";
                 
                }
            } else {
                echo "Error: File upload error code: " . $_FILES['image']['error'];
            }
        } else {
            echo "Error: No file uploaded.";
        }

        if ($imagePath) {
            $db->executeQuery("INSERT INTO photo_items (year, category, image_path) VALUES (?, ?, ?)", [$year, $category, $imagePath]);
        }
    }
}

// Fetch all photo items
$photoItems = $db->fetchQuery1("SELECT * FROM photo_items order by year desc");
?>

<!DOCTYPE html>
<html>
<head>
    <title>Add Photo Item</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            margin: 0;
            padding: 20px;
            background-color: #f4f4f4;
        }

        h1, h2 {
            text-align: center;
        }

        form {
            background: #fff;
            padding: 20px;
            margin: 0 auto;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
            max-width: 600px;
        }

        form label {
            display: block;
            margin-bottom: 8px;
            font-weight: bold;
        }

        form input[type="number"], 
        form select, 
        form input[type="file"], 
        form input[type="submit"] {
            width: 100%;
            padding: 8px;
            margin-bottom: 20px;
            border: 1px solid #ccc;
            border-radius: 4px;
        }

        form input[type="submit"] {
            background-color: #4CAF50;
            color: white;
            border: none;
            cursor: pointer;
        }

        form input[type="submit"]:hover {
            background-color: #45a049;
        }

        table {
            width: 100%;
            border-collapse: collapse;
            margin: 20px 0;
        }

        table, th, td {
            border: 1px solid #ddd;
        }

        table th, table td {
            padding: 10px;
            text-align: left;
        }

        table th {
            background-color: #f2f2f2;
        }

        table img {
            width: 100px;
        }

        table form {
            display: inline;
        }

        table input[type="submit"] {
            background-color: #f44336;
            color: white;
            border: none;
            cursor: pointer;
            padding: 5px 10px;
        }

        table input[type="submit"]:hover {
            background-color: #d32f2f;
        }
    </style>
</head>
<body>
    <h1>Add Photo Item</h1>
    <form method="post" enctype="multipart/form-data">
        <label for="year">Year:</label>
        <input type="number" name="year" id="year" required><br>

        <!--<label for="category">Category:</label>
        <select name="category" id="category" required>
            <option value="Nature">Nature</option>
            <option value="Architecture">Architecture</option>
            <option value="People">People</option>
        </select><br>-->

        <label for="image">Image:</label>
        <input type="file" name="image" id="image" required><br>

        <input type="submit" value="Add Photo Item">
    </form>

    <h2>Photo Items</h2>
    <table border="1">
        <thead>
            <tr>
                <th>ID</th>
                <th>Year</th>
                <th>Category</th>
                <th>Image</th>
                <th>Action</th>
            </tr>
        </thead>
        <tbody>
            <?php foreach ($photoItems as $item): ?>
                <tr>
                    <td><?php echo $item['id']; ?></td>
                    <td><?php echo $item['year']; ?></td>
                    <td><?php echo $item['category']; ?></td>
                    <td><img src="<?php echo $item['image_path']; ?>" width="100" alt="Image"></td>
                    <td>
                        <form method="post" style="display:inline;">
                            <input type="hidden" name="id" value="<?php echo $item['id']; ?>">
                            <input type="submit" name="delete" value="Delete">
                        </form>
                    </td>
                </tr>
            <?php endforeach; ?>
        </tbody>
    </table>
</body>
</html>
